Package com.massivecraft.factions.event

## Class FPlayerEnteredFactionEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent
      - - com.massivecraft.factions.event.FPlayerEnteredFactionEvent

    public class FPlayerEnteredFactionEvent
    extends FactionPlayerEvent

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FPlayerEnteredFactionEvent​(Faction factionTo, Faction factionFrom, FPlayer fPlayer)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Faction` | `getFactionFrom()` |
`Faction` | `getFactionTo()` |
`FPlayer` | `getfPlayer()` |
`static org.bukkit.event.HandlerList` | `getHandlerList()` |
`org.bukkit.event.HandlerList` | `getHandlers()` |

### Methods inherited from class com.massivecraft.factions.event.FactionEvent

`getFaction`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FPlayerEnteredFactionEvent

    public FPlayerEnteredFactionEvent​(Faction factionTo,
                                      Faction factionFrom,
                                      FPlayer fPlayer)

### Method Detail

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Overrides:
  `getHandlers` in class `FactionEvent`

#### getfPlayer

    public FPlayer getfPlayer()

Overrides:
  `getfPlayer` in class `FactionPlayerEvent`

#### getFactionTo

    public Faction getFactionTo()

#### getFactionFrom

    public Faction getFactionFrom()